%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define pluginsdir %{_prefix}/lib/mozilla/plugins

%define flashplayer_version 10.3.181.34
%define flashplayer_plugin_version 10.3.181.34

%if %mandriva_branch == Cooker
# Cooker
%define release %mkrel 1
%else
# Old distros
%define subrel 1
%define release %mkrel 0
%endif

Summary:	FlashPlayer is a browser plug-in to view Flash animations
Name:		flashplayer-bundle
Version:	%{flashplayer_plugin_version}
Release:	%release
Group:		Networking/WWW
License:	Commercial
URL:		http://www.macromedia.com/downloads
Source0:	http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz
Source1:	http://download.macromedia.com/pub/flashplayer/updaters/10/flashplayer_10_sa.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Macromedia Flash is the key to designing and delivering low-bandwidth
animations, presentations, and Web sites. It offers scripting capabilities
and server-side connectivity for creating engaging applications, Web
interfaces, and training courses. Once you've created your content, 96% of
the online audience will be able to view it with the Macromedia Flash
Player.

%package -n	flashplayer
Summary:	Stand alone FlashPlayer to view Flash animations
Version:	%{flashplayer_version}
Group:		Networking/WWW
License:	Commercial
Obsoletes:	FlashPlayer-plugin
%ifarch x86_64
Requires:	libxt6 libatk1.0_0 libpango1.0_0 libpango1.0_0 libcairo2 libglib2.0_0 libnspr4
%endif
Requires:	%{mklibname alsa 2}

%description -n	flashplayer
Macromedia Flash is the key to designing and delivering low-bandwidth
animations, presentations, and Web sites. It offers scripting capabilities
and server-side connectivity for creating engaging applications, Web
interfaces, and training courses. Once you've created your content, 96% of
the online audience will be able to view it with the Macromedia Flash
Player.

This package provides the Stand alone FlashPlayer.

%package -n	flashplayer-plugin
Summary:	Flash plugin for web browser
Version:	%{flashplayer_plugin_version}
Group:		Networking/WWW
License:	Commercial
Obsoletes:	FlashPlayer-plugin
%ifarch x86_64
Requires:	libxt6 libatk1.0_0 libpango1.0_0 libpango1.0_0 libcairo2 libglib2.0_0 libnspr4
%endif
Requires:	%{mklibname alsa 2}

%description -n	flashplayer-plugin
Macromedia Flash is the key to designing and delivering low-bandwidth
animations, presentations, and Web sites. It offers scripting capabilities
and server-side connectivity for creating engaging applications, Web
interfaces, and training courses. Once you've created your content, 96% of
the online audience will be able to view it with the Macromedia Flash
Player.

This package provides the Flash plugin for web browsers.

%prep

%setup -q -c -n install_flash_player_%{flashplayer_plugin_version}_linux -a 1

# check versions (yuck!)
actual_version1=`strings libflashplayer.so | grep ^LNX | awk '{ print $2 }' | perl -pi -e "s|,|.|g"`
    if ! [ %{flashplayer_plugin_version} == ${actual_version1} ]; then
        echo "ERROR: version mismatch for libflashplayer.so"
        echo "file version: ${actual_version1}"
        echo "package version: %{flashplayer_plugin_version}"
        exit 1
    fi

actual_version2=`strings flashplayer | grep ^LNX | awk '{ print $2 }' | perl -pi -e "s|,|.|g"`
    if ! [ %{flashplayer_version} == ${actual_version2} ]; then
        echo "ERROR: version mismatch for flashplayer"
        echo "file version: ${actual_version2}"
        echo "package version: %{flashplayer_version}"
        exit 1
    fi

%build

%install
rm -rf %{buildroot}

export DONT_STRIP=1
export DISABLE_DEBUG=1
export DONT_RELINK=1

install -d %{buildroot}/%{_prefix}/lib/netscape/plugins
install -d %{buildroot}/%{pluginsdir}
install -d %{buildroot}/%{_bindir}

install -m0755 libflashplayer.so %{buildroot}/%{pluginsdir}/
install -m0755 flashplayer %{buildroot}%{_bindir}/

ln -s %{pluginsdir}/libflashplayer.so %{buildroot}/%{_prefix}/lib/netscape/plugins/libflashplayer.so

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-flashplayer.desktop << EOF
[Desktop Entry]
Name=Flashplayer
Comment=Flashplayer standalone player
Exec=flashplayer
Icon=multimedia_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;
EOF

%if %mdkversion < 200900
%post -n flashplayer
%update_menus
%endif

%if %mdkversion < 200900
%postun -n flashplayer
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -n flashplayer
%defattr(-,root,root,-)
%{_bindir}/flashplayer
%{_datadir}/applications/*

%files -n flashplayer-plugin
%defattr(-,root,root,-)
%dir %{_prefix}/lib/netscape/
%dir %{_prefix}/lib/netscape/plugins/
%dir %{pluginsdir}
%{pluginsdir}/libflashplayer.so
%{_prefix}/lib/netscape/plugins/libflashplayer.so

%changelog
* Tue Jul 19 2011 Oden Eriksson <oeriksson@mandriva.com> 10.3.181.34-0.1mdv2010.2
- 10.3.181.34

* Wed Jun 15 2011 Oden Eriksson <oeriksson@mandriva.com> 10.3.181.26-0.1mdv2010.2
- 10.3.181.26

* Wed Jun 08 2011 Oden Eriksson <oeriksson@mandriva.com> 10.3.181.22-0.1mdv2010.2
- 10.3.181.22 (fixes CVE-2011-2107)

* Sat May 14 2011 Oden Eriksson <oeriksson@mandriva.com> 10.3.181.14-0.1mdv2010.2
- 10.3.181.14 (fixes CVE-2011-0579, CVE-2011-0618, CVE-2011-0619, 
  CVE-2011-0620, CVE-2011-0621, CVE-2011-0622, CVE-2011-0623, 
  CVE-2011-0624, CVE-2011-0625, CVE-2011-0626, CVE-2011-0627)

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 10.2.159.1-0.1mdv2010.2
- 10.2.159.1 (fixes CVE-2011-0611)

* Fri Apr 08 2011 Oden Eriksson <oeriksson@mandriva.com> 10.2.153.1-0.1mdv2010.2
- 10.2.153.1 (fixes CVE-2011-0609)

* Mon Feb 28 2011 Oden Eriksson <oeriksson@mandriva.com> 10.2.152.27-0.3mdv2009.0
- update the stand alone "flashplayer" to 10.2.152.28, though the
  "flashplayer-plugin" is still at 10.2.152.27
- renamed the src.rpm to flashplayer-bundle to ease upgrades
- added more spec file macros to make this a little more sane...

* Thu Feb 10 2011 Oden Eriksson <oeriksson@mandriva.com> 10.2.152.27-0.2mdv2010.2
- 10.2.152.27 (fixes CVE-2011-0558, CVE-2011-0559, CVE-2011-0560, 
  CVE-2011-0561, CVE-2011-0571, CVE-2011-0572, CVE-2011-0573, CVE-2011-0574, 
  CVE-2011-0575, CVE-2011-0577, CVE-2011-0578, CVE-2011-0607, CVE-2011-0608)
- added spec cruft to enable multiple versions

* Fri Nov 05 2010 2010 Oden Eriksson <oeriksson@mandriva.com> 10.1.102.64-0.1mdv2010.1
- 10.1.102.64 (fixes CVE-2010-3640, CVE-2010-3641, CVE-2010-3642, 
  CVE-2010-3643, CVE-2010-3644, CVE-2010-3645, CVE-2010-3646, CVE-2010-3647, 
  CVE-2010-3648, CVE-2010-3649, CVE-2010-3650, CVE-2010-3652)

* Thu Sep 23 2010 Oden Eriksson <oeriksson@mandriva.com> 10.1.85.3-0.1mdv2010.1
- 10.1.85.3
- added version checks and other spec file magic
- various spec file cleanups

* Tue Jun 15 2010 Anne Nicolas <anne.nicolas@mandriva.com> 10.1.53.64-1mdv2010.1
- new major version

* Thu Dec 10 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.0.42.34-1mdv2010.0
- bug fix release

* Wed Oct 28 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.0.32.18-2mdv2010.0
- rebuild for 2010.0

* Thu Aug 6 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.0.32.18-1mdv2009.1
- Fix critical vulnerabilities in previous versions
(CVE-2009-1862, CVE-2009-0901, CVE-2009-2495, CVE-2009-2493, CVE-2009-1863, 
CVE-2009-1864, CVE-2009-1865, CVE-2009-1866, CVE-2009-1867, CVE-2009-1868, 
CVE-2009-1869, CVE-2009-1870)

* Tue Apr 28 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.0.22.87-2mdv2009.1
- fix plugin requires

* Sat Mar 28 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.0.22.87-1mdv2009.1
- new version

* Thu Mar 5 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.0.22.8-2mdv2009.1
- add libnspr4 require

* Sun Feb 22 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.0.22.8-1mdv2009.1
- version 10

* Thu Apr 17 2008 Oden Eriksson <oeriksson@mandriva.com> 9.0.124.0-1mdv2008.1
- 9.0.124.0

* Mon Feb 25 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.0.48.0-4mdv2008.1
- new version

* Thu Jul 26 2007 Nicolas Vigier <nvigier@mandriva.com> 9.0.48.0-3mdv2007.1
- Fix path on x86_64

* Thu Jul 19 2007 Giuseppe Ghib <ghibo@mandriva.com> 9.0.48.0-2mdv2007.1
- Fix Requires for 64bit.

* Sat Jul 14 2007 Giuseppe Ghib <ghibo@mandriva.com> 9.0.48.0-1mdv2007.1
- Release 9.0.48.0 (fix vulnerability).

* Mon Apr 02 2007 Lenny Cartier <lenny@mandriva.com> 9.0.31.0-3mdv2007.0
- requires libalsa

* Thu Feb 22 2007 Lenny Cartier <lenny@mandriva.com> 9.0.31.0-2mdv2007.0
- menus for the standalone player

* Wed Jan 17 2007 Lenny Cartier <lenny@mandriva.com> 9.0.31.0-1mdv2007.0
- Release 9.0.31.0

* Sat Nov 25 2006 Giuseppe Ghib <ghibo@mandriva.com> 9.0.21.78-0.112006.1mdv2007.0
- Release 9.0.21.78 beta.

* Mon Oct 23 2006 Giuseppe Ghib <ghibo@mandriva.com> 9.0.21.55-0.101806.1mdv2007.0
- Release 9.0.21.55 beta.

* Wed Sep 13 2006 Lenny Cartier <lenny@mandriva.com> 7.0.68-1mdv2007.0
- 7.0.68

* Mon Aug 14 2006 Lenny Cartier <lenny@mandriva.com> 7.0-5mdv2007.0
- rebuild

* Tue Mar 28 2006 Sebastien Savarin <plouf@mandriva.org> 7.0-4mdk
- 7.0.63

* Fri Nov 18 2005 Lenny Cartier <lenny@mandriva.com> 7.0-3mdk
- 7.0.61

* Wed Sep 07 2005 Lenny Cartier <lenny@mandriva.com> 7.0-2mdk
- rebuild for 2006

* Thu May 27 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 7.0-1mdk
- Release 7.0.25.

* Mon Apr 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 6.0-7mdk
- Release 6.0.81.
- Removed libstdc++2.10 requires.

* Thu Feb 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 6.0-6mdk
- rebuild for 10

* Fri Sep 05 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 6.0-5mdk
- use %_libdir/mozilla/plugins as default plugin dir.
- Added libstdc++2.10 Requires.
- Added URL.
- Take latest source.

* Tue Sep 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 6.0-4mdk
- rebuild for 9.2

* Wed Dec 12 2002 Mandrake Linux Team <http://www.mandrakeexpert.com> 6.0-3mdk
- 6.0.79

* Wed Dec 12 2002 Mandrake Linux Team <http://www.mandrakeexpert.com> 6.0-2mdk
- Final version

* Wed Dec 4 2002 Mandrake Linux Team <http://www.mandrakeexpert.com> 6.0-1mdk
- New Beta 1 version.

* Fri Sep 12 2002 Mandrake Linux Team <http://www.mandrakeexpert.com> 5.0-8mdk
- New version r51.

* Tue Sep 3 2002 Mandrake Linux Team <http://www.mandrakeexpert.com> 5.0-7mdk
- Resolve permission problems

* Mon Aug 19 2002 Mandrake Linux Team <http://www.mandrakeexpert.com> 5.0-6mdk
- New version Flash Player 5.0.5

* Wed Jul 17 2002 Mandrake Linux Team <http://www.mandrakeexpert.com> 5.0-5mdk
- New version Flash Player 5.0.48
- Rebuild for 9.0

* Tue Sep 04 2001 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 5.0-4mdk
- Removing: Provides - netscape-plugins because netscape is not longer
in the 8.2 and it is installed when you use urpmi netscape ...

* Tue Sep 04 2001 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 5.0-3mdk
- Packaged for Mandrake Linux 8.2

* Tue Sep 04 2001 David BAUDENS <baudens@mandrakesoft.com> 4.2.3-2mdk
- Packaged for Mandrake Linux 8.1 for IA32
